# PRI02 - Get information and statistics about an offer pricing import

Call Frequency

Recommended usage: After each PRI01 call, every 5 minutes
Maximum usage: Once per minute
Read More

Importing pricesPagination

This resource supports seek pagination (see documentation)

Sort fields

sort field can have the following values:dateCreated (Default) - Sort by creation date (desc by default)

Endpoint: GET /api/offers/pricing/imports

## Query parameters:

  - `import_id` (array)
    Import identifiers

  - `start_date` (string)
    Start creation date for filtering

  - `end_date` (string)
    End creation date for filtering

  - `status` (string)
    Offer import status
    Enum: "WAITING", "RUNNING", "COMPLETE", "FAILED"

  - `origins` (array)
    List of offer pricing import origins for filtering.
    Enum: "API", "FTP", "SFTP", "HTTP", "HTTPS", "FRONT", "PENDING_OFFERS"

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200 fields (application/json):

  - `data` (array, required)
    Page of data

  - `data.date_created` (string, required)
    Import creation date

  - `data.has_error_report` (boolean, required)
    Indicate if an error report exists

  - `data.import_id` (string, required)
    Import ID

  - `data.lines_in_error` (integer, required)
    Total count of lines in error

  - `data.lines_in_success` (integer, required)
    Total count of lines in success

  - `data.offers_in_error` (integer, required)
    Total count of offers in error

  - `data.offers_updated` (integer, required)
    Total count of updated offers

  - `data.origin` (string, required)
    Import origin

Enum: "API", "FTP", "SFTP", "HTTP", "HTTPS", "FRONT", "PENDING_OFFERS"

  - `data.reason_status` (string, required)
    Import status reason

  - `data.shop_id` (integer, required)
    Shop identifier

  - `data.status` (string, required)
    Import status

Enum: "WAITING", "RUNNING", "COMPLETE", "FAILED"

  - `next_page_token` (string)
    Token to access the next page. Absent if the current page is the last one.

  - `previous_page_token` (string)
    Token to access the previous page. Absent if the current page is the first one.


